OpenEL 3.0.0

Macros | Functions | Variables
openEL.c File Reference

OpenEL Common File 3.0.0. More...

`#include "openEL.h"`
`#include "stdio.h"`

Go to the source code of this file.

## Macros
#define | OPENEL_SW_SURFACE_FRIEND 1

## Functions
enum ReturnCode | HalInit (HALCOMPONENT_T *halComponent)
enum ReturnCode | HalReInit (HALCOMPONENT_T *halComponent)
enum ReturnCode | HalFinalize (HALCOMPONENT_T *halComponent)
enum ReturnCode | HalAddObserver (HALCOMPONENT_T *halComponent, HALOBSERVER_T *halObserver)
enum ReturnCode | HalRemoveObserver (HALCOMPONENT_T *halComponent, HALOBSERVER_T *halObserver)
enum ReturnCode | HalGetProperty (HALCOMPONENT_T *halComponent, PROPERTY_T *property)
enum ReturnCode | HalGetTime (HALCOMPONENT_T *halComponent, int32_t *time)
enum ReturnCode | HalEventTimerStartTimer (EVENTTIMER_T *eventTimer)
enum ReturnCode | HalEventTimerStopTimer (EVENTTIMER_T *eventTimer)
enum ReturnCode | HalEventTimerSetEventPeriod (EVENTTIMER_T *eventTimer, int32_t eventPeriod)
enum ReturnCode | HalEventTimerAddObserver (EVENTTIMER_T *eventTimer, TIMEROBSERVER_T *timerObserver)
enum ReturnCode | HalEventTimerRemoveObserver (EVENTTIMER_T *eventTimer, TIMEROBSERVER_T *timerObserver)
int32_t | elGetPhyicalPortID (uint32_t handle, uint32_t profileID)

## Variables
struct elPort_st | elPortTbl [EL_PORT_ID_MAX]

## Detailed Description

OpenEL Common File 3.0.0.

Definition in file openEL.c.

## Macro Definition Documentation

## ◆ OPENEL_SW_SURFACE_FRIEND

#define OPENEL_SW_SURFACE_FRIEND 1

Definition at line 29 of file openEL.c.

## Function Documentation

## ◆ elGetPhyicalPortID()

int32_t elGetPhyicalPortID | ( | uint32_t | handle,
|  | uint32_t | profileID
| ) |  |

物理handleに変換

Definition at line 196 of file openEL.c.

## ◆ HalAddObserver()

enum ReturnCode HalAddObserver | ( | HALCOMPONENT_T * | halComponent,
|  | HALOBSERVER_T * | halObserver
| ) |  |

Definition at line 146 of file openEL.c.

## ◆ HalEventTimerAddObserver()

enum ReturnCode HalEventTimerAddObserver | ( | EVENTTIMER_T * | eventTimer,
|  | TIMEROBSERVER_T * | timerObserver
| ) |  |

Definition at line 183 of file openEL.c.

## ◆ HalEventTimerRemoveObserver()

enum ReturnCode HalEventTimerRemoveObserver | ( | EVENTTIMER_T * | eventTimer,
|  | TIMEROBSERVER_T * | timerObserver
| ) |  |

Definition at line 189 of file openEL.c.

## ◆ HalEventTimerSetEventPeriod()

enum ReturnCode HalEventTimerSetEventPeriod | ( | EVENTTIMER_T * | eventTimer,
|  | int32_t | eventPeriod
| ) |  |

Definition at line 178 of file openEL.c.

## ◆ HalEventTimerStartTimer()

enum ReturnCode HalEventTimerStartTimer | ( | EVENTTIMER_T * | eventTimer | ) |

Definition at line 167 of file openEL.c.

## ◆ HalEventTimerStopTimer()

enum ReturnCode HalEventTimerStopTimer | ( | EVENTTIMER_T * | eventTimer | ) |

Definition at line 173 of file openEL.c.

## ◆ HalFinalize()

enum ReturnCode HalFinalize | ( | HALCOMPONENT_T * | halComponent | ) |

OpenELデバイスの終了

Definition at line 130 of file openEL.c.

## ◆ HalGetProperty()

enum ReturnCode HalGetProperty | ( | HALCOMPONENT_T * | halComponent,
|  | PROPERTY_T * | property
| ) |  |

Definition at line 157 of file openEL.c.

## ◆ HalGetTime()

enum ReturnCode HalGetTime | ( | HALCOMPONENT_T * | halComponent,
|  | int32_t * | time
| ) |  |

Definition at line 162 of file openEL.c.

## ◆ HalInit()

enum ReturnCode HalInit | ( | HALCOMPONENT_T * | halComponent | ) |

Initialize the openEL component

Parameters

  [in] | vendorID |
  [in] | productID |
  [in] | component | index

Returns
  0:OK / less than -1:error code

Definition at line 75 of file openEL.c.

## ◆ HalReInit()

enum ReturnCode HalReInit | ( | HALCOMPONENT_T * | halComponent | ) |

OpenELデバイスのリセット

Definition at line 114 of file openEL.c.

## ◆ HalRemoveObserver()

enum ReturnCode HalRemoveObserver | ( | HALCOMPONENT_T * | halComponent,
|  | HALOBSERVER_T * | halObserver
| ) |  |

Definition at line 152 of file openEL.c.

## Variable Documentation

## ◆ elPortTbl

struct elPort_st elPortTbl[EL_PORT_ID_MAX]

Definition at line 44 of file openEL.c.